Final self-assessment
The student's final self-assessment in a class.
Read your own final self-assessment for the class
GET /me/turmas/{turmaId}/autoavaliacao-final
Access: Any signed-in person. Rate limit: up to 600 calls every 60 s per origin. Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
turmaId | string (uuid) | yes | Class id. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
turma | object | yes | ||
turma.id | string (uuid) | yes | ||
turma.nome | string | yes | ||
janela | JanelaFeedback | yes | ||
podeEscrever | boolean | yes | ||
criterios | list of CriterioDto | yes | ||
minha | AutoavaliacaoDto or null | yes |
On error: ErroApi model.
Example
bash
curl -X GET "$API/me/turmas/{turmaId}/autoavaliacao-final" -H "Authorization: Bearer $TOKEN"Save your final self-assessment for the class
PUT /me/turmas/{turmaId}/autoavaliacao-final
Access: Any signed-in person. Rate limit: up to 120 calls every 60 s per origin. Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
turmaId | string (uuid) | yes | Class id. |
Request body (AutoavaliacaoEscrever)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
notas | list of object | yes | 0–200 items | |
notas[].criterioId | string (uuid) | yes | ||
notas[].valor | integer or null | yes | ||
comentario | string | yes | 1–4000 characters |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
turma | object | yes | ||
turma.id | string (uuid) | yes | ||
turma.nome | string | yes | ||
janela | JanelaFeedback | yes | ||
podeEscrever | boolean | yes | ||
criterios | list of CriterioDto | yes | ||
minha | AutoavaliacaoDto or null | yes |
On error: ErroApi model.
Example
bash
curl -X PUT "$API/me/turmas/{turmaId}/autoavaliacao-final" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"notas":[{"criterioId":"0198a000-0000-7000-8000-000000000001","valor":1}],"comentario":"texto"}'